Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Webhooks calls
  • Default module
    • Get started
    • Pagination and Offset
    • Company
      • Get company information
      • Delete company webhook
      • Get company package
      • Send a merge request to another company
    • Office
      • List all offices
      • Add new office
    • Users
      • List all users
      • Add new user
      • Get user by email
      • Update user details
      • Change user password
      • Send password reset link
      • Delete user
    • Orders
      • List orders
      • Upgrade order
      • Re-deliver order with styling options
      • Get order by ID
      • Get combined PDF document
      • Create a redraw order
    • Change Request
      • Add new change request for an order
      • List all change requests of order
      • Get change request by ID
    • Draft Orders
      • Create a draft order
      • Update a draft order
      • Delete a draft order
    • GoToScan Orders
      • Create a GoToScan order
    • Webhooks
      • About webhooks
      • Update company webhooks
      • /Order status
  • Webhooks calls
    • /Order status
  1. Webhooks calls

/Order status

Webhook
POST
Order status

Request

Body Params application/json

Examples

Responses

🟢200OK
*/*
Return a 200 status to indicate that the data was received successfully
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "363c38cd-9682-4ff3-9100-9ef4e755f275",
    "current_status": "New",
    "previous_status": "New",
    "model_id": "cb2aba10-979f-461c-bdb7-906f5047d111",
    "product_type": "products_2d",
    "delivery_type": "new"
}'
Response Response Example
{
    "id": "363c38cd-9682-4ff3-9100-9ef4e755f275",
    "current_status": "New",
    "previous_status": "New",
    "model_id": "cb2aba10-979f-461c-bdb7-906f5047d111",
    "product_type": "products_2d",
    "delivery_type": "new"
}
Modified at 2025-08-18 12:19:15
Previous
/Order status
Built with